package com.slodon.b2b2c.vo.statistics;

import com.slodon.b2b2c.core.util.TimeUtil;
import com.slodon.b2b2c.statistics.pojo.PlatformDay;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 封装商品动销-商品报表(按天)Vo对象
 * @author wuxy
 */
@Data
public class GoodsReportVO {

    @ApiModelProperty("统计时间，数据统计的开始时间")
    private String statsTime;

    @ApiModelProperty("新增商品数")
    private Integer newGoodsNum;

    @ApiModelProperty("动销商品数")
    private Integer movableGoodsNum;

    @ApiModelProperty("下单数")
    private Integer orderSubmitNum;

    @ApiModelProperty("支付订单数")
    private Integer orderPayNum;

    public GoodsReportVO(PlatformDay platformDay) {
        this.statsTime = TimeUtil.getZDDay(platformDay.getStatsTime());
        this.newGoodsNum = platformDay.getNewGoodsNum();
        this.movableGoodsNum = platformDay.getSalingGoodsNum();
        this.orderSubmitNum = platformDay.getOrderSubmitNum();
        this.orderPayNum = platformDay.getOrderPayNum();
    }
}

